Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.asn1.x509
Class IssuerSerial

    java.lang.Object
      org.bouncycastle.asn1.ASN1Encodable
          org.bouncycastle.asn1.x509.IssuerSerial

All Implemented Interfaces:
  DEREncodable

    public class IssuerSerial

extends ASN1Encodable

Field Summary

Fields inherited from class org.bouncycastle.asn1.ASN1Encodable
`BER, DER`

Constructor Summary
`IssuerSerial(ASN1Sequence seq)`
`IssuerSerial(GeneralNames issuer, DERInteger serial)`

Method Summary
`static IssuerSerial` `getInstance(ASN1TaggedObject obj, boolean explicit)`
`static IssuerSerial` `getInstance(java.lang.Object obj)`
`GeneralNames` `getIssuer()`
`DERBitString` `getIssuerUID()`
`DERInteger` `getSerial()`
`DERObject` `toASN1Object()` Produce an object suitable for an ASN1OutputStream.

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IssuerSerial

    public IssuerSerial(ASN1Sequence seq)

### IssuerSerial

    public IssuerSerial(GeneralNames issuer,
                        DERInteger serial)

Method Detail

### getInstance

    public static IssuerSerial getInstance(java.lang.Object obj)

### getInstance

    public static IssuerSerial getInstance(ASN1TaggedObject obj,
                                           boolean explicit)

### getIssuer

    public GeneralNames getIssuer()

### getSerial

    public DERInteger getSerial()

### getIssuerUID

    public DERBitString getIssuerUID()

### toASN1Object

    public DERObject toASN1Object()

  Produce an object suitable for an ASN1OutputStream.

        IssuerSerial  ::=  SEQUENCE {
             issuer         GeneralNames,
             serial         CertificateSerialNumber,
             issuerUID      UniqueIdentifier OPTIONAL
        }

  Specified by:
    `toASN1Object` in class `ASN1Encodable`

Bouncy Castle Cryptography Library 1.45